#firstNameError{
  display: none;
}
#first_name.ng-touched + #firstNameError {
  display: block;
}
#first_name:valid + #firstNameError {
  display: none;
}
#lastNameError{
  display: none;
}
#last_name.ng-touched + #lastNameError {
  display: block;
}
#last_name:valid + #lastNameError {
  display: none;
}
#emailError{
  display: none;
}
#email.ng-touched + #emailError {
  display: block;
}
#email:valid + #emailError {
  display: none;
}
#passwordError{
  display: none;
}
#password.ng-touched + #passwordError {
  display: block;
}
#password:valid + #passwordError {
  display: none;
}
#cpasswordError{
  display: none;
}
#c_password.ng-touched + #cpasswordError {
  display: block;
}
#c_password:valid + #cpasswordError {
  display: none;
}
